#ifndef __PJSIP_GENERIC_URI_H__
#define __PJSIP_GENERIC_URI_H__

#include <pjsip/sip_uri.h>

PJ_BEGIN_DECL

typedef struct pjsip_generic_uri {
    pjsip_uri_vptr *vptr;	/**< Pointer to virtual function table.	*/
		pj_str_t scheme;
    pj_str_t uri;	
} pjsip_generic_uri;

PJ_DECL(pjsip_generic_uri*) pjsip_generic_uri_create(pj_pool_t *pool);

PJ_END_DECL

#endif	/* __PJSIP_GENERIC_URI_H__ */
